@import "../../style/miam.scss";

.miam-delete-confirm{
  border: solid 1px var(--m-color-secondary);
  border-radius: var(--m-border-radius);
  display: flex;
  outline: none;
  align-items: center;
  background-color: var(--m-color-white);
  margin: 6px 0;
  ng-miam-icon{
    svg{
      fill : var(--m-color-secondary)
    }
  }
  .miam-delete-confirm__text{
    color: var(--m-color-secondary);
    width: unset;
    height: unset;
    font-size: 14px;
    overflow: hidden;
    &::first-letter {
      text-transform: capitalize;
    }
    &.colapse{
      height: 0;
      width: 0;
    }
  }
  &.colapse{
    border: none;
    padding: 8px;
    margin: 0;
    border-radius: var(--m-border-radius-circle);
    ng-miam-icon{
      svg{
        fill : var(--m-color-grey-text);
      }
    }
  }

  &:hover{
    background-color: var(--m-color-grey);
  }
}